<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_uploaduser', language 'fi_co', version '4.2'.
 *
 * @package     tool_uploaduser
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['uploadusers_help'] = '<p><strong>Yleensä ei ole tarpeellista tuoda käyttäjiä massoina</strong> - pitääksesi oman ylläpitotyösi alhaisena, sinun pitäisi ensin miettiä sellaisten keinojen käyttämistä, jotka eivät vaadi manuaalista ylläpitoa. Esimerkiksi yhteydenottoa olemassa oleviin ulkoisiin tietokantoihin, tai  antaa käyttäjien luoda omat käyttäjätilinsä. <strong>Katso "Käyttäjäntunnistus" ylläpito valikosta. </strong></p>
<p>Jos olet varma, että haluat tuoda useita käyttäjätunnuksia tekstitiedostosta, silloin sinun täytyy muotoilla tekstitiedostosi seuraavasti:</p>
<ul>
  <li><strong>Kaikki kenttien nimet pitää tuontitiedostossa kirjoittaa englanniksi!</strong></li>
  <li>Tiedoston jokainen rivi sisältää yhden tallenteen</li>
  <li>Jokainen tallenne on sarja tietoja pilkuilla eroteltuna</li>
  <li>Tiedoston ensimmäinen tallenne on erityinen, ja sisältää listan kenttänimiä. Tämä määrittää lopputiedoston muodon.
    <blockquote>
      <p><strong>Vaaditut kenttänimet:</strong> nämä kentät täytyy olla mukana ensimmäisessä tallenteessa, ja määritelty jokaiselle käyttäjälle.</p>
      <p></p>
      <font color="#990000" face="Courier New, Courier, mono">käyttäjänimi, salasana, etunimi, sukunimi, sähköposti </font></p>
</p>
      <p><strong>Oletus kenttänimet:</strong> nämä ovat valinnaisia - jos niitä ei liitetä, arvot otetaan aiemmalta ylläpitäjältä</p>
      <p><font color="#990000" face="Courier New, Courier, mono">yhteisö, osasto, kaupunki, maa, kieli, aikavyöhyke </font> </p>
      <p><strong>Valinnaiset  kenttänimet: </strong>kaikki nämä ovat täysin valinnaisia. Työtilanimet ovat työtilojen "lyhytnimiä" - jos ne säilytetään nykyisellään, käyttäjä merkitään työtiloille opiskelijana. Ryhmänimien täytyy yhdistyä vastaaviin työtiloihin, esim. ryhmä 1 työtila 1:een, ryhmän 2 työtila 2:een, jne. </p>
      <p> <font color="#990000" face="Courier New, Courier, mono">tunnistenumero, ICQ, puhelin1, puhelin2, osoite, url, kuvaus, postimuotoilu, postinäyttö, html-editori, autoalaindeksi, työtila1, työtila2, työtila3, työtila4, työtila5, ryhmä1, ryhmä2, ryhmä3, ryhmä4, ryhmä5</font></p>
    </blockquote>
  </li>
  <li>Pilkut aineiston sisässä pitäisi olla koodattu &#44:nä - scripti !!!!!!! tulkitsee automaattisesti nämä takaisin pilkuiksi.</li>
  <li>Boolean kentille (tosi/epätosi), käytä 0 epätodelle ja 1 todelle.</li>
  <li>Huomaa: jos käyttäjätunnus on jo Moodlen käyttäjätietokannassa, scripti  palauttaa automaattisesti userid numeron  ko. käyttäjälle, ja rekisteröi käyttäjän opiskelijana määritellyille työtiloille ILMAN, että päivittäisi kannassa olevia käyttäjätietoja. </li>
</ul>


<p>Tässä esimerkki kelpaavasta tuontitiedostosta:</p>
<p><font size="-1" face="Courier New, Courier, mono">username, password, firstname, lastname, email, lang, idnumber, maildisplay, course1, group1<br />
jonest, verysecret, Tom, Jones, jonest@someplace.edu, en, 3663737, 1, Intro101, Section 1<br />
reznort, somesecret, Trent, Reznor, reznort@someplace.edu, en_us, 6736733, 0, Advanced202, Section 3</font></p>
<p> </p>';
